Retrieve a List of Optionlists

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/optionlists

Path parameters

  • profile_id string Required

    id of the profile

Query parameters

  • fields string

    extra information of each profile on the list

  • limit number

    maximum count of the profile list

  • offset number

    skip that many profiles before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • created_by string
    • created_date string
    • global_id string
    • id number Required
    • modified_by string
    • modified_date string
    • name string Required
    • option_icons string
    • reference_id string
    • version number
GET /profiles/{profile_id}/optionlists
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/optionlists' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 393652,
    "name": "Colors"
  },
  {
    "id": 393655,
    "name": "System Grade"
  }
]